Bug 706903 - getpwuid unreliable when using NIS, missing flag: -DUSE_BINDINGDIR=1
Summary: getpwuid unreliable when using NIS, missing flag: -DUSE_BINDINGDIR=1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-23 12:30 UTC by Andreas Schwab
Modified: 2016-11-24 15:41 UTC (History)
3 users (show)

Fixed In Version: glibc-2.12-1.29.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 703880
Environment:
Last Closed: 2011-12-06 17:47:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1526 normal SHIPPED_LIVE Low: glibc security, bug fix, and enhancement update 2011-12-06 01:02:21 UTC

Description Andreas Schwab 2011-05-23 12:30:41 UTC
+++ This bug was initially created as a clone of Bug #703880 +++

Description of problem:

On a machine using NIS for passwd in compat mode and with a big
netgroup (~ 790 users), the uid resolution is unreliable.

Version-Release number of selected component (if applicable):
glibc-2.13-1.x86_64

How reproducible: every time, with and without nscd running.

Steps to Reproduce:
1. in /etc/nsswitch.conf: passwd:     compat
2. in /etc/passwd: +@NETGROUP::::::
   where NETGROUP contains ~ 790 users.
3. "ls -l" in a directory containing a sub-directory per user owned by
   each of them.

Actual results:

All the uid's are not reliably translated to user names.

Expected results:

All the uid's translated to user names.

Additional info:

A fix that works (at least for me) is to recompile glibc with the
following flags for ypclnt.c in glibc-fedora.patch

+CFLAGS-ypclnt.c = -fno-strict-aliasing -DUSE_BINDINGDIR=1

instead of:

+CFLAGS-ypclnt.c = -fno-strict-aliasing

Comment 6 errata-xmlrpc 2011-12-06 17:47:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1526.html


Note You need to log in before you can comment on or make changes to this bug.